NXOpen .NET Reference  12.0.0
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.Motion.PointOnCurveCollection Class Reference

Represents a collection of point on curve objects More...

Inheritance diagram for NXOpen.Motion.PointOnCurveCollection:

Public Member Functions

NXOpen.Motion.PointOnCurve[] ToArray ()
 Returns an array of NXOpen.Motion.PointOnCurve objects. More...
 
unsafe
NXOpen.Motion.PointOnCurveBuilder 
CreatePointOnCurveBuilder (NXOpen.Motion.PointOnCurve pointOnCurve)
 Creates a NXOpen.Motion.PointOnCurveBuilder More...
 
unsafe NXOpen.Motion.PointOnCurve FindObject (string name)
 Finds the NXOpen.Motion.PointOnCurve with the given name. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of point on curve objects

To obtain an instance of this class, refer to NXOpen.Motion.MotionManager

Created in NX6.0.0

Member Function Documentation

unsafe NXOpen.Motion.PointOnCurveBuilder NXOpen.Motion.PointOnCurveCollection.CreatePointOnCurveBuilder ( NXOpen.Motion.PointOnCurve  pointOnCurve)

Creates a NXOpen.Motion.PointOnCurveBuilder

Created in NX6.0.0

License requirements: mechanisms ("MECHANISMS")

Parameters
pointOnCurveNXOpen.Motion.PointOnCurve to be edited, if a null reference (Nothing in Visual Basic) then create a new one
Returns
override int NXOpen.Motion.PointOnCurveCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
protected

Advances the enumerator to the next element of the collection.

unsafe NXOpen.Motion.PointOnCurve NXOpen.Motion.PointOnCurveCollection.FindObject ( string  name)

Finds the NXOpen.Motion.PointOnCurve with the given name.

An exception will be thrown if no object can be found with given name.

Created in NX6.0.0

License requirements: mechanisms ("MECHANISMS")

Parameters
nameThe name of the NXOpen.Motion.PointOnCurve .
Returns
NXOpen.Motion.PointOnCurve with this name.
NXOpen.Motion.PointOnCurve [] NXOpen.Motion.PointOnCurveCollection.ToArray ( )

Returns an array of NXOpen.Motion.PointOnCurve objects.

Property Documentation

Tag NXOpen.Motion.PointOnCurveCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.